<?php

	// check acces authorization
	session_start();
	if($_SESSION['user']!="admin"){
		echo "Unauthorized access.";
		die();
	}
	
	// load core files
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	// check if settings already exists and if so, load it, otherwise set parameters to default values
/*	if(file_exists("settings.php")){
		include("settings.php");
	}*/
	
	$icons = array_filter(glob('../../icons/*.png'));
	$smallicons = array_filter(glob('icons/*.png'));
	
	$dirs = array_filter(glob('../../homepage/blocks/*'), 'is_dir');
	$installedBlocks = array();
	foreach($dirs as $dir){
		$blockNamespace = str_replace("../../homepage/blocks/","",$dir);
		$installedBlocks[] = $blockNamespace;
	}
	$availableFonts = array("PT Sans","Roboto","Dosis","Ubuntu","Lobster","Kaushan Script","Open Sans","Play","Open Sans Condensed","Anton","Arial","Tahoma","Times New Roman","Helvetica","Inconsolata",'Righteous','Marck Script','Poiret One','Cutive Mono','Patrick Hand SC','Rubik','Lato','Raleway');

	$availableSchemes = array();
	foreach( array_keys( $color_schemes ) as $index=>$key ) {
		array_push($availableSchemes,$key);
	}

	
	$settings = file_get_contents("settings.txt");
	$settings = json_decode($settings,true);
	
	$appVersion=file_get_contents("appVersion.txt");
	
	if(isset($settings['showConditions'])){
		$showConditions = $settings['showConditions'];
	}
	else{
		$showConditions = 'true';		
	}
	
	if(isset($settings['showSiteInfo'])){
		$showSiteInfo = $settings['showSiteInfo'];
	}
	else{
		$showSiteInfo = 'true';		
	}
	
	if(isset($settings['showWebcam'])){
		$showWebcam = $settings['showWebcam'];
	}
	else{
		$showWebcam = 'true';		
	}
	
	if(isset($settings['showLivestream'])){
		$showLivestream = $settings['showLivestream'];
	}
	else{
		$showLivestream = 'true';		
	}
	
	if(isset($settings['siteInfoDesc'])){
		$siteInfoDesc = $settings['siteInfoDesc'];
	}
	else{
		$siteInfoDesc = 'Enter some general description for your site<br>'.PHP_EOL.'Leave blank if you don\'t want any description<br>'.PHP_EOL.'Panel on the right gives you an idea of how it will look like<br>'.PHP_EOL.'You can use <b>HTML tags</b> to format your content';
	}
	
	if(isset($settings['siteInfoStation'])){
		$siteInfoStation = $settings['siteInfoStation'];
	}
	else{
		$siteInfoStation = 'Enter a short description of your weather station (model, sensors, location, etc.)<br>'.PHP_EOL.'Leave blank if you don\'t want any description<br>'.PHP_EOL.'Panel on the right gives you an idea of how it will look like<br>'.PHP_EOL.'You can use <b>HTML tags</b> to format your content';
	}
	
	if(isset($settings['siteInfoZoom'])){
		$siteInfoZoom = $settings['siteInfoZoom'];
	}
	else{
		$siteInfoZoom = '10';
	}
	
	if(isset($settings['conditionsInterval'])){
		$conditionsInterval = $settings['conditionsInterval'];
	}
	else{
		$conditionsInterval = '60';
	}
	
	if(isset($settings['conditionsHeader'])){
		$conditionsHeader = $settings['conditionsHeader'];
	}
	else{
		$conditionsHeader = 'Current Conditions';
	}
	
	if(isset($settings['webcamURL'])){
		$webcamURL = $settings['webcamURL'];
	}
	else{
		$webcamURL = '';
	}
	
	if(isset($settings['webcamHeader'])){
		$webcamHeader = $settings['webcamHeader'];
	}
	else{
		$webcamHeader = 'Webcam';
	}
	
	if(isset($settings['webcamUpdate'])){
		$webcamUpdate = $settings['webcamUpdate'];
	}
	else{
		$webcamUpdate = '30';
	}	
	
	if(isset($settings['livestreamURL'])){
		$livestreamURL = $settings['livestreamURL'];
	}
	else{
		$livestreamURL = '';
	}
	
	if(isset($settings['livestreamHeader'])){
		$livestreamHeader = $settings['livestreamHeader'];
	}
	else{
		$livestreamHeader = 'Live Stream';
	}
	$blockDefaultIcon = 'gauges';
	$blockDefaultDesign = $design;
	$blockDefaultDesign2 = $design2;
	$blockDefaultDesignFont = $designFont;
	$blockDefaultDesignFont2 = $designFont2;
	
	if(file_exists("../triggers/settings.txt")){
		$triggers = json_decode(file_get_contents("../triggers/settings.txt"),true);
		$triggersAvailable=true;
		$installedTriggers = array();
		for ($i = 1; $i <= $triggers["numTriggers"]; $i++) {
			$currentTrigger = array();
			$currentTrigger["Id"]=$triggers["triggerId".$i];
			$currentTrigger["Name"]=$triggers["triggerName".$i];
			$currentTrigger["Active"]=$triggers["triggerActive".$i];
			$currentTrigger["Description"]=$triggers["triggerDescription".$i];
			$currentTrigger["Condition"]=$triggers["triggerCondition".$i];
			$installedTriggers[$i]=$currentTrigger;
		}	

		$variables = json_decode(file_get_contents("../triggers/variables.txt"),true);		
	}
	else{
		$triggersAvailable=false;
	}
	$notiActions = array();
	$currentAction = 0;
	
		$currentAction++;
		$notiActions[$currentAction] = array();
		$notiActions[$currentAction]["Id"]="None";
		$notiActions[$currentAction]["Name"]="No Action";
		
		$currentAction++;
		$notiActions[$currentAction] = array();
		$notiActions[$currentAction]["Id"]="Homepage";
		$notiActions[$currentAction]["Name"]="Homepage";
	
	if ($showSiteInfo=='true') {	
		$currentAction++;
		$notiActions[$currentAction] = array();
		$notiActions[$currentAction]["Id"]="SiteInfo";
		$notiActions[$currentAction]["Name"]="Site Info";
	}
	
	if ($showConditions=='true') {	
		$currentAction++;
		$notiActions[$currentAction] = array();
		$notiActions[$currentAction]["Id"]="Conditions";
		$notiActions[$currentAction]["Name"]="Current Conditions";
	}	
	
	if ($showLivestream=='true') {
		$currentAction++;		
		$notiActions[$currentAction] = array();
		$notiActions[$currentAction]["Id"]="Livestream";
		$notiActions[$currentAction]["Name"]="Live Stream";
	}
	
	if ($showWebcam=='true') {	
		$currentAction++;
		$notiActions[$currentAction] = array();
		$notiActions[$currentAction]["Id"]="Webcam";
		$notiActions[$currentAction]["Name"]="Webcam";
	}	

	for ($i = 1; $i <= $settings["blockNum"]; $i++) {
		$currentAction++;
		$notiActions[$currentAction] = array();
	    $notiActions[$currentAction]["Id"]=$settings["block".$i."Name"];
		$notiActions[$currentAction]["Name"]=$settings["block".$i."Title"];
	}
	
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<style>
		.dialog {
			
			color: #000000;
			background: #ffffff;
			text-align:left;
		}
		.mapPanel {
			width: 98%;
			height: 400px;
			width: 400px;
			margin: 20px auto;
			border: 2px solid white;
			border-radius: 10px;			
		}	
	
		
		.topnav {
			background: #<?php echo $color_schemes[$design2]['800']?>;
			overflow: hidden;
			font-family: <?php echo $designFont2?>, sans-serif;
			<?php
					if($gradient){
				?>
					background-image: -ms-linear-gradient(top, #<?php echo $color_schemes[$design2]['900']?> 0%, #<?php echo $color_schemes[$design2]['700']?> 50%, #<?php echo $color_schemes[$design2]['900']?> 100%);
					background-image: -moz-linear-gradient(top, #<?php echo $color_schemes[$design2]['900']?> 0%, #<?php echo $color_schemes[$design2]['700']?> 50%, #<?php echo $color_schemes[$design2]['900']?> 100%);
					background-image: -o-linear-gradient(top, #<?php echo $color_schemes[$design2]['900']?> 0%, #<?php echo $color_schemes[$design]['700']?> 50%, #<?php echo $color_schemes[$design2]['900']?> 100%);
					background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #<?php echo $color_schemes[$design2]['900']?>), color-stop(50, #<?php echo $color_schemes[$design2]['700']?>), color-stop(100, #<?php echo $color_schemes[$design2]['900']?>));
					background-image: -webkit-linear-gradient(top, #<?php echo $color_schemes[$design2]['900']?> 0%, #<?php echo $color_schemes[$design]['700']?> 50%, #<?php echo $color_schemes[$design2]['900']?> 100%);
					background-image: linear-gradient(to bottom, #<?php echo $color_schemes[$design2]['900']?> 0%, #<?php echo $color_schemes[$design2]['700']?> 50%, #<?php echo $color_schemes[$design2]['900']?> 100%);
				<?php
					}
				?>
				color: white;
			}
		.topnav a {
			float: left;
			color: #<?php echo $color_schemes[$design2]['100']?>;
			text-align: center;
			display: block;
				padding-top: 0.9em;
				padding-bottom: 0.9em;
				padding-left: 1.1em;
				padding-right: 1.1em;
				text-decoration: none;
			text-transform: uppercase;
			font-size: 0.9em;
			font-weight: bold;
		}

		.topnav a:hover {
			background-color: #<?php echo $color_schemes[$design2]['100']?>;
			color: #<?php echo $color_schemes[$design2]['800']?>;
		}

		.topnav a.active {
			background-color: #<?php echo $color_schemes[$design2]['A700']?>;
			color: #<?php echo $color_schemes[$design2]['50']?>;;
		}
		

		</style>
	<link rel="stylesheet" href="colorpicker/css/colorpicker.css" type="text/css" />

	<!-- <script type="text/javascript" src="colorpicker/js/jquery.js"></script> -->
	<script type="text/javascript" src="colorpicker/js/colorpicker.js"></script>
    <script type="text/javascript" src="colorpicker/js/eye.js"></script>
    <script type="text/javascript" src="colorpicker/js/utils.js"></script>
   <!-- <script type="text/javascript" src="colorpicker/js/layout.js?ver=1.0.2"></script> -->
		<script src="https://maps.googleapis.com/maps/api/js?key=<?php echo $googleMapsAPIKey?>"></script>	
		<?php include("../../homepage/css/style.php");?>
		<base href="<?php echo $pageURL.$path?>">
	</head>
	<body>
	<script>

	<?php
	if ($triggersAvailable) {
		echo 'var variables = new Array();'.PHP_EOL;
		foreach($variables as $key=>$value){			
				${$key} = $value;
				echo 'variables["'.$key.'"]="'.$value.'";'.PHP_EOL;				
		}	
	}
	?>
	
	function refreshSiteInfo() {
		//alert("changed "+$("#siteInfoDesc").val());
		$("#siteInfoDescResult").html($("#siteInfoDesc").val());
		$("#siteInfoStationResult").html($("#siteInfoStation").val());
	}
	var myMap;
	function initMap() {	     
		 
	  myMap = new google.maps.Map(document.getElementById('map'), 
		  {
		  zoom: Number($('#siteInfoZoom').val()),
          center: {
 		  lat: <?php echo $stationLat;?>,
		  lng: <?php echo $stationLon;?>
          }
		});

		var markerCenterMap = new google.maps.Marker({		  
          position: {
		  lat: <?php echo $stationLat;?>,
		  lng: <?php echo $stationLon;?>
          },
          map: myMap,
          title: 'Your Site Name'
        });			
		
		google.maps.event.addListener(map, 'zoom_changed', function() {
			$('#siteInfoZoom').val(map.getZoom());    
		});			
		
	}
	
	function updateZoom(){
		myMap.setZoom(Number($('#siteInfoZoom').val()));
	}
	
	function updateMap(){
		/*myMap.setCenter({
		  lat: <?php echo $stationLat;?>,
		  lng: <?php echo $stationLon;?>
		});	
		myMap.setZoom(Number($('#siteInfoZoom').val()));
		google.maps.event.trigger(myMap, 'resize');
		*/
		initMap()
	}
	
	function updateBlock(blockId){
		
	//	$('#block'+blockId).load("../../homepage/blocks/"+$('#block'+blockId+'Name').val()+"/"+$('#block'+blockId+'Name').val()+"Block.php?design="+$('#block'+blockId+'Design').val(), function() {});
	
	blockurl = "plugins/app/loadBlock.php?block="+$('#block'+blockId+'Name').val()+"&design="+$('#block'+blockId+'Design').val()+"&design2="+$('#block'+blockId+'Design2').val()+"&designFont="+$('#block'+blockId+'DesignFont').val()+"&designFont2="+$('#block'+blockId+'DesignFont2').val();
	//alert('loading : '+blockurl);
	$("#frameBlock"+blockId).attr("src", blockurl);									
										
	}
	
	function updateBlockHeader(blockId){
		resu = '<img  width="32px" height="32px" style="-webkit-filter:invert(1);filter:invert(1);vertical-align:middle;color=#000000;" src="<?php echo $pageURL.$path?>icons/'+$('#block'+blockId+'Icon').val()+'.png">';
		resu += '<b> '+$('#block'+blockId+'Title').val()+'</b>';
		$('#block'+blockId+'Header').html(resu)
	}
	
	function loadBlocks(){
	<?php	
	if(!isset($settings['blockNum'])){
		$settings['blockNum']=3;
	}
	for ($i = 1; $i <= $settings["blockNum"]; $i++) {
		echo 'addBlock();'.PHP_EOL;
	}
	foreach($settings as $key=>$value){
		if (strpos(strtolower($key), 'block') !== false) {
			${$key} = $value;
			echo '$(\'#';
			echo $key;
			echo '\').val(\'';
			echo $value;
			echo '\');'.PHP_EOL;	
		}		
	}	
	for ($i = 1; $i <= $settings["blockNum"]; $i++) {
		echo 'if ($(\'#showBlock'.$i.'\').val()==\'false\') $(\'#block'.$i.'Div\').hide();'.PHP_EOL;
		echo 'updateBlock('.$i.');'.PHP_EOL;
		echo 'updateBlockHeader('.$i.');'.PHP_EOL;
		
	}	
		
	?>
	
	}
	
	
	function deleteBlock(myBlockNum){
		if (confirm('Are you sure you want to delete Block #'+myBlockNum+' - '+$('#block'+blockNum+'Name').val())) {
			$('#blockPanel'+myBlockNum).remove();
			blockNum--;			
			$('#blockNum').val(myBlockNum);
			if(blockNum>0){
				$('#deleteBlock'+blockNum).show();
			}
		}
	}
	
	var blockNum=0;
	function addBlock(){
		blockNum++;
		var blockString = '<div style="border-bottom: 1px solid white;" id="blockPanel'+blockNum+'">';
		//blockString += '<hr style="border-top: dotted 3px;" />';
		blockString+='<h2 style="text-align:left;">Show Block '+blockNum; 						
		blockString+='    <select class="button2" id="showBlock'+blockNum+'" name="showBlock'+blockNum+'" onChange="$(\'#block'+blockNum+'Div\').toggle();">';
		blockString+='<option value="true" selected>True</option>';
		blockString+='<option value="false">False</option>';
		blockString+='</select>';
		blockString+='    <span id="deleteBlock'+blockNum+'" class="button2 fa fa-trash" onClick="deleteBlock('+blockNum+');"> Delete   </span><br/><br/>';
		blockString+='</h2>';
		blockString+='<div id="block'+blockNum+'Div" style="border:1px">';	
		blockString+='<table style="width:98%;margin:0 auto">';
		blockString+='<tr>';
		blockString+='<td style="text-align:left">';
		blockString+='<table style="text-align:left">';
		//blockString+='<tr><td style="text-align:left">Block Name</td><td style="text-align:left"><input class="button2" value="" id ="block'+blockNum+'Name" name="block'+blockNum+'Name" size="20" onChange="updateBlock('+blockNum+');"> Example : forecast</td></tr>';
		blockString+='<tr><td style="text-align:left">Block Name</td>';
		blockString+='<td style="text-align:left"><select class="button2" id ="block'+blockNum+'Name" name="block'+blockNum+'Name" onChange="updateBlock('+blockNum+');">';
			<?php
			foreach($installedBlocks as $installedBlock){				
				echo 'blockString+=\'<option value="'.$installedBlock.'" >\';';
				echo 'blockString+=\''.$installedBlock.'\';';
				echo 'blockString+=\'</option>\';'.PHP_EOL;
			}
			?>
		blockString+='</select></td></tr>';
		blockString+='<tr><td style="text-align:left">Block Title</td><td style="text-align:left"><input class="button2" value="" id ="block'+blockNum+'Title" name="block'+blockNum+'Title" size="20"></td></tr>';
		blockString+='<tr><td style="text-align:left">Block Icon</td><td style="text-align:left">';
		blockString+='<select class="button2" id="block'+blockNum+'Icon" name="block'+blockNum+'Icon" onChange="updateBlockHeader('+blockNum+');">';
			<?php
			foreach($icons as $icon){
				$currIcon = str_replace("../../icons/","",$icon);
				$currIconName = str_replace(".png","",$currIcon);
				
				echo 'blockString+=\'<option value="'.$currIconName.'" >\';';
				echo 'blockString+=\''.$currIconName.'\';';
				echo 'blockString+=\'</option>\';'.PHP_EOL;
			}
			?>
		blockString+='</select>';							
		blockString+='</td></tr>';
		blockString+='<tr><td style="text-align:left">Color1</td><td style="text-align:left">';
		blockString+='<select class="button2" id="block'+blockNum+'Design" name="block'+blockNum+'Design" onChange="updateBlock('+blockNum+');">';
			<?php
				$i=0;
				foreach($color_schemes as $scheme){
					echo 'blockString+=\'<option value="'.strtolower($availableSchemes[$i]).'">'.ucfirst($availableSchemes[$i]).'</option>\';';
					$i++;					
				}
			?>
		blockString+='</select>';
		blockString+='</td></tr>';
		blockString+='<tr><td style="text-align:left">Color2</td><td style="text-align:left">';
		blockString+='<select class="button2" id="block'+blockNum+'Design2" name="block'+blockNum+'Design2" onChange="updateBlock('+blockNum+');">';
			<?php
				$i=0;
				foreach($color_schemes as $scheme){
					echo 'blockString+=\'<option value="'.strtolower($availableSchemes[$i]).'">'.ucfirst($availableSchemes[$i]).'</option>\';';
					$i++;										
				}
			?>
		blockString+='</select>';
		blockString+='</td></tr>';
		blockString+='<tr><td style="text-align:left">Font1</td><td style="text-align:left">';
		blockString+='<select class="button2" id="block'+blockNum+'DesignFont" name="block'+blockNum+'DesignFont" onChange="updateBlock('+blockNum+');">';
			<?php
					for($i=0;$i<count($availableFonts);$i++){						
							echo 'blockString+=\'<option value="'.$availableFonts[$i].'">'.ucfirst($availableFonts[$i]).'</option>\';';						
					}
			?>								
		blockString+='</select>';
		blockString+='</td></tr>';
		blockString+='<tr><td style="text-align:left">Font2</td><td style="text-align:left">';
		blockString+='<select class="button2" id="block'+blockNum+'DesignFont2" name="block'+blockNum+'DesignFont2" onChange="updateBlock('+blockNum+');">';
			<?php
					for($i=0;$i<count($availableFonts);$i++){
						echo 'blockString+=\'<option value="'.$availableFonts[$i].'">'.ucfirst($availableFonts[$i]).'</option>\';';										
					}
			?>								
		blockString+='</select>';
		blockString+='</td></tr>';
		blockString+='</table>';
		blockString+='</td>';
		blockString+='<td>';
		blockString+='<table width="100%"border="1">';
		blockString+='<tr><td style="text-align:left;background:#ffffff;color:#000000;"><div id="block'+blockNum+'Header"></div></td></tr>';
		blockString+='<tr><td style="text-align:left;background:#ffffff;color:#000000;"><iframe id="frameBlock'+blockNum+'" src="" width="100%" height="300"></iframe></td></tr>';
		blockString+='</table>';
		blockString+='</td>';
		blockString+='</tr>';					
		blockString+='</table>';
		blockString+='</div>';
		blockString+='</div>';		
		
		if(blockNum>1){
				$('#deleteBlock'+(blockNum-1)).hide();
			}
		$('#blocksPanel').append(blockString); 
		$('#blockNum').val(blockNum);
		$('#block'+blockNum+'Icon').val('<?php echo $blockDefaultIcon; ?>'); 
		$('#block'+blockNum+'Design').val('<?php echo $blockDefaultDesign; ?>'); 
		$('#block'+blockNum+'Design2').val('<?php echo $blockDefaultDesign2; ?>'); 
		$('#block'+blockNum+'DesignFont').val('<?php echo $blockDefaultDesignFont; ?>');
		$('#block'+blockNum+'DesignFont2').val('<?php echo $blockDefaultDesignFont2; ?>');		

	}	
	
	function deleteNoti(myNotiNum){
		if (confirm('Are you sure you want to delete Notification #'+myNotiNum+' - '+$('#notiName'+notiNum).val())) {
			$('#notificationPanel'+myNotiNum).remove();
			notiNum--;			
			$('#notiNum').val(myNotiNum);
			if(notiNum>0){
				$('#deleteNoti'+notiNum).show();
			}
		}
	}
	
	var notiNum=0;
	function addNoti(){
		notiNum++;
		var notiString ='<div id="notificationPanel'+notiNum+'"> ';
		notiString+='<h3>Notification #'+notiNum+'</h3> Id (must be unique) : <input id="notiId'+notiNum+'" name="notiId'+notiNum+'" class="button2"  value="notiId'+notiNum+'"/>  ';
		notiString+='  Display Name : <input id="notiName'+notiNum+'" name="notiName'+notiNum+'" class="button2"  value="notiName'+notiNum+'"/>  ';
		notiString+='<select id="notiActive'+notiNum+'" name="notiActive'+notiNum+'" onChange="$(\'#notiPanel'+notiNum+'\').toggle();" class="button2">';
		notiString+='<option value="true" selected>Active</option>';
		notiString+='<option value="false">Off</option>';
		notiString+='</select>';
		notiString+='<select id="notiDefault'+notiNum+'" name="notiDefault'+notiNum+'" class="button2">';
		notiString+='<option value="true" selected>Enabled by default</option>';
		notiString+='<option value="false">Disabled by default</option>';
		notiString+='</select>';
		notiString+='    <span id="deleteNoti'+notiNum+'" class="button2 fa fa-trash" onClick="deleteNoti('+notiNum+');"> Delete   </span><br/><br/>';
		notiString+='<div id="notiPanel'+notiNum+'">';
		notiString+='<table style="text-align:left;width:98%;margin:0 auto">';
		notiString+='<tr>';
		notiString+='<td style="text-align:left">';
		notiString+='<table style="text-align:left">';		
		notiString+='<tr><td style="text-align:left">Short Description : </td><td style="text-align:left"> <input style="text-align:left" id="notiDescription'+notiNum+'" name="notiDescription'+notiNum+'" size="40" class="button2"  value="notiDescription'+notiNum+'" onChange="updateNotiHeader('+notiNum+');"/></td></tr>';
		notiString+='<tr><td style="text-align:left">Notification Icon</td><td style="text-align:left">';
		notiString+='<table><tr><td>';
		notiString+='<select class="button2" id="noti'+notiNum+'SmallIcon" name="noti'+notiNum+'SmallIcon" onChange="updateNotiHeader('+notiNum+');">';
			<?php
			foreach($smallicons as $icon){
				$currIcon = str_replace("icons/","",$icon);
				$currIconName = str_replace(".png","",$currIcon);
				
				echo 'notiString+=\'<option value="'.$currIconName.'" >\';';
				echo 'notiString+=\''.$currIconName.'\';';
				echo 'notiString+=\'</option>\';'.PHP_EOL;
			}
			?>
		notiString+='</select>     ';	
		notiString+=' Color : <input class="button2" maxlength="6" size="6" id="noti'+notiNum+'Color" name="noti'+notiNum+'Color" value="000000" onChange="updateNotiHeader('+notiNum+');"/>	';			
		notiString+='</td><td bgcolor="#FFFFFF">  ';
		notiString+=' <div id="noti'+notiNum+'SmallIconDisplay"></div>';
		notiString+='  </td></tr></table>';
		notiString+='</td></tr>';
		notiString+='<tr><td style="text-align:left">Details message : </td><td style="text-align:left"><textarea style="text-align:left" rows="3" cols="80" id="notiDetails'+notiNum+'" name="notiDetails'+notiNum+'" class="button2"  value="notiDetails'+notiNum+'" onChange="updateNotiHeader('+notiNum+');"/></td></tr>';
		notiString+='<tr><td style="text-align:left">Message Icon</td><td style="text-align:left">';
		notiString+='<table><tr><td>';
		notiString+='<select class="button2" id="noti'+notiNum+'Icon" name="noti'+notiNum+'Icon" onChange="updateNotiHeader('+notiNum+');">';
			<?php
			foreach($icons as $icon){
				$currIcon = str_replace("../../icons/","",$icon);
				$currIconName = str_replace(".png","",$currIcon);
				
				echo 'notiString+=\'<option value="'.$currIconName.'" >\';';
				echo 'notiString+=\''.$currIconName.'\';';
				echo 'notiString+=\'</option>\';'.PHP_EOL;
			}
			?>
		notiString+='</select>   ';
		
		notiString+=' Color : <input class="button2" maxlength="6" size="6" id="noti'+notiNum+'IconColor" name="noti'+notiNum+'IconColor" value="000000" onChange="updateNotiHeader('+notiNum+');"/>	';	
		notiString+='</td><td bgcolor="#FFFFFF">  ';
		notiString+=' <div id="noti'+notiNum+'IconDisplay"></div>';
		notiString+='  </td></tr></table>';
		notiString+='</td></tr>';
		notiString+='<tr><td style="text-align:left">Action : </td><td style="text-align:left">';
		notiString+='<select class="button2" id="noti'+notiNum+'Action" name="noti'+notiNum+'Action" onChange="updateNoti('+notiNum+');">';
			<?php
					for($i=1;$i<=count($notiActions);$i++){						
							echo 'notiString+=\'<option value="'.$notiActions[$i]["Id"].'">'.ucfirst($notiActions[$i]["Name"]).' ('.$notiActions[$i]["Id"].')'.'</option>\';';						
					}
			?>								
		notiString+='</select>';
		notiString+='  Parameters (optional) : <input id="notiParams'+notiNum+'" name="notiParams'+notiNum+'" class="button2"  value=""/>  ';
		notiString+='</td></tr>';
		notiString+='<tr><td style="text-align:left">Start Trigger : </td><td style="text-align:left">';
		notiString+='<select class="button2" id="noti'+notiNum+'TriggerStart" name="noti'+notiNum+'TriggerStart" onChange="updateNoti('+notiNum+');">';
			<?php
					for($i=1;$i<=count($installedTriggers);$i++){						
							echo 'notiString+=\'<option value="'.$installedTriggers[$i]["Id"].'">'.ucfirst($installedTriggers[$i]["Name"]).' ('.$installedTriggers[$i]["Id"].')'.'</option>\';';						
					}
			?>								
		notiString+='</select>';
		notiString+='<select id="noti'+notiNum+'TriggerStartCondition"name="noti'+notiNum+'TriggerStartCondition" class="button2">';
		notiString+='<option value="false">False</option>';
		notiString+='<option value="true" selected>True</option>';
		notiString+='</select>';
		notiString+='</td></tr>';
		notiString+='<tr><td style="text-align:left">Cancel Trigger : </td><td style="text-align:left">';
		notiString+='<select class="button2" id="noti'+notiNum+'TriggerCancel" name="noti'+notiNum+'TriggerCancel" onChange="updateNoti('+notiNum+');">';
		notiString+='<option value="">None</option>';
			<?php
					for($i=1;$i<=count($installedTriggers);$i++){						
							echo 'notiString+=\'<option value="'.$installedTriggers[$i]["Id"].'">'.ucfirst($installedTriggers[$i]["Name"]).' ('.$installedTriggers[$i]["Id"].')'.'</option>\';';						
					}
			?>								
		notiString+='</select>';
		notiString+='<select id="noti'+notiNum+'TriggerCancelCondition"name="noti'+notiNum+'TriggerCancelCondition" class="button2">';
		notiString+='<option value="false" selected>False</option>';
		notiString+='<option value="true">True</option>';
		notiString+='</select>';
		notiString+='</td></tr>';
		notiString+='<tr><td style="text-align:left">Expires after (min, 0 for never) : </td><td style="text-align:left"> <input id="notiExpires'+notiNum+'" name="notiExpires'+notiNum+'" size="5" class="button2"  value="0"/>';
		notiString+='   Do not repeat before (min) : <input id="notiDelay'+notiNum+'" name="notiDelay'+notiNum+'" size="5" class="button2"  value="0"/></td></tr>';
		notiString+='</table>';
		notiString+='</td>';
		notiString+='<td>';
		notiString+='<table cellspacing="0" cellpadding="0" style="border:none" width=528px>';
		notiString+='<tr height="133" style="background: url(plugins/app/imgs/NotiTopTransparent.png);"><td></td></tr>';
		notiString+='<tr height="150" style="background: url(plugins/app/imgs/NotiMiddleBlank.png);">';
		notiString+='<td valign="top">';
		notiString+='<table  cellspacing="0" cellpadding="0" style="border:none" width=528px>';
		notiString+='<tr>';
		notiString+='<td colspan="3" valign="top" style="padding-left: 40px;padding-top: 20px;">';
		notiString+='<table><tr><td><div id="NotiSmallIconPreview'+notiNum+'"></div></td><td><div id="NotiHeaderPreview'+notiNum+'" style="color:#4C4C4C; font-family:Roboto">Meteotemplate</div></td></tr></table> ';
		notiString+='</td>';
		notiString+='</tr>';
		notiString+='<tr>';
		notiString+='<td valign="top" height="22px" style="text-align:left;padding-left: 40px;">	';
		notiString+='<div id="NotiShortPreview'+notiNum+'" style="color:#4C4C4C; font-family:Roboto"><b>Caravana en la entrada a Vallirana</b></div>';
		notiString+='</td>';
		notiString+='<td valign="top" rowspan="2" style="padding-left: 10px;">	';
		notiString+='<div id="NotiLargeIconPreview'+notiNum+'"></div>';
		notiString+='</td>';
		notiString+='<td valign="top" rowspan="2" width="30px">	';	
		notiString+='</td>';
		notiString+='</tr>';
		notiString+='<tr>';
		notiString+='<td valign="top" width="400px" style="text-align:left;padding-left: 40px;">';	
		notiString+='<div  id="NotiMessagePreview'+notiNum+'" style="text-align:left;color:#868686; font-family:Roboto"><b>Hay Mucho trafico en este momento en la variante. El tiempo promedio desde los tuneles a la rotonda es superior a 6min</b></div>';
		notiString+='</td>';
		notiString+='</tr>';	
		notiString+='</table>';
		notiString+='</td></tr>';
		notiString+='</table>';		
		notiString+='</td>';
		notiString+='</tr></table>';
		notiString+='</div>';
		notiString+='</div>';	
		
		if(notiNum>1){
				$('#deleteNoti'+(notiNum-1)).hide();
			}
		$('#notiPanel').append(notiString); 
		$('#notiNum').val(notiNum);		
		
	}
	
	function loadNotis(){
	<?php	
	if(!isset($settings['notiNum'])){
		$settings['notiNum']=0;
	}
	else {
		for ($i = 1; $i <= $settings["notiNum"]; $i++) {
			echo 'addNoti();'.PHP_EOL;
		}
		foreach($settings as $key=>$value){
			if (strpos(strtolower($key), 'noti') !== false) {
				${$key} = $value;
				echo '$(\'#';
				echo $key;
				echo '\').val(\'';
				echo str_replace(array("\r\n","\r","\n","\\r","\\n","\\r\\n"),"\\n",$value);  
				echo '\');'.PHP_EOL;	
			}		
		}	
		for ($i = 1; $i <= $settings["notiNum"]; $i++) {
			echo 'if ($(\'#notiActive'.$i.'\').val()==\'false\') $(\'#notiPanel'.$i.'\').hide();'.PHP_EOL;
			echo 'prepareNoti('.$i.');'.PHP_EOL;
			echo 'updateNoti('.$i.');'.PHP_EOL;
			echo 'updateNotiHeader('.$i.');'.PHP_EOL;
			
			
		}	
	}	
	?>	
	}
	
	function prepareNoti(notiId) {
		 $('#noti'+notiId+'IconColor').ColorPicker({
				onSubmit: function(hsb, hex, rgb, el) {
				$(el).val(hex);
				$(el).ColorPickerHide();
				updateNotiHeader(notiId);
			},
			onBeforeShow: function () {
				$(this).ColorPickerSetColor(this.value);
			}
		})
		.bind('keyup', function(){
			$(this).ColorPickerSetColor(this.value);
		});	
		
		$('#noti'+notiId+'Color').ColorPicker({
				onSubmit: function(hsb, hex, rgb, el) {
				$(el).val(hex);
				$(el).ColorPickerHide();
				updateNotiHeader(notiId);
			},
			onBeforeShow: function () {
				$(this).ColorPickerSetColor(this.value);
			}
		})
		.bind('keyup', function(){
			$(this).ColorPickerSetColor(this.value);
		});	
		
	}
	
	function addNewNoti() {
		addNoti();
		prepareNoti(notiNum);
		updateNotiHeader(notiNum);
	}
	
	function updateNoti(notiId){		
		
	//blockurl = "plugins/app/loadBlock.php?block="+$('#block'+blockId+'Name').val()+"&design="+$('#block'+blockId+'Design').val()+"&design2="+$('#block'+blockId+'Design2').val()+"&designFont="+$('#block'+blockId+'DesignFont').val()+"&designFont2="+$('#block'+blockId+'DesignFont2').val();
	//$("#frameBlock"+blockId).attr("src", blockurl);									
	}
	
	function updateNotiHeader(notiId){

		$('#noti'+notiId+'IconDisplay').css({		
				'background-color': '#'+$('#noti'+notiId+'IconColor').val(), 
				'width':'32px',
				'height':'32px',
				'-webkit-mask-image':'url("icons/'+$('#noti'+notiId+'Icon').val()+'.png")',		  
				'-webkit-mask-size':'32px 32px'
		   });
		   
		   $('#noti'+notiId+'SmallIconDisplay').css({		
				'background-color': '#'+$('#noti'+notiId+'Color').val(),
				'width':'24px',
				'height':'24px',
				'-webkit-mask-image':'url("plugins/app/icons/'+$('#noti'+notiId+'SmallIcon').val()+'.png")',		  
				'-webkit-mask-size':'24px 24px'
		   });
		   
		    $('#NotiSmallIconPreview'+notiId).css({		
				'background-color': '#'+$('#noti'+notiId+'Color').val(),
				'width':'24px',
				'height':'24px',
				'-webkit-mask-image':'url("plugins/app/icons/'+$('#noti'+notiId+'SmallIcon').val()+'.png")',		  
				'-webkit-mask-size':'24px 24px'
		   });	
		   $('#NotiHeaderPreview'+notiId).css({		
				'color': '#'+$('#noti'+notiId+'Color').val(),
				'font-family':'Roboto'				
		   });	
			
				 
			$('#NotiLargeIconPreview'+notiId).css({		
				'background-color': '#'+$('#noti'+notiId+'IconColor').val(),  
				'width':'64px',
				'height':'64px',
				'-webkit-mask-image':'url("icons/'+$('#noti'+notiId+'Icon').val()+'.png")',		  
				'-webkit-mask-size':'64px 64px'
		   });	
		   var message = '<b>'+$('#notiDetails'+notiId).val().replace(/\n/g, "<br />")+'</b>';
		   for (var k in variables){
				if (variables.hasOwnProperty(k)) {
					//alert("Key is " + k + ", value is" + target[k]);
					message = message.replace('%%'+k+'%%',variables[k]);
				}
			}
		   $('#NotiShortPreview'+notiId).html('<b>'+$('#notiDescription'+notiId).val()+'</b>');
		   $('#NotiMessagePreview'+notiId).html(message);

	}
	
	</script>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php");?>
		</div>
		<div id="main" style="text-align:center">
			<h1 id="title2" >Mobile App - Setup</h1>
			<div style="width:100%">
				<div class="topnav">
					<table width="100%"><tr><td>
					<a id="menuAll" class="active" href="javascript:selectMenu('All');">All Settings</a>
					<a id="menuGeneral" href="javascript:selectMenu('General');">General</a>
					<a id="menuBlocks" href="javascript:selectMenu('Blocks');">Blocks</a>
					<a id="menuNotifications" href="javascript:selectMenu('Notifications');">Notifications</a>
					</td><td style="text-align:right">
					<input type="submit" value="Save" class="button2">
					</td>
					</tr></table>
				</div>
				
			</div>	
			<hr>
			<form method="POST" action="<?php echo $pageURL.$path?>/plugins/app/saveSettings.php" target="_blank">
			<input type="hidden" name="appVersion" value="<?php echo $appVersion?>"/>
			<input type="hidden" name="timeZone" value="<?php echo $stationTZ?>"/>
			<div id="panelGeneral">
			<h1>General settings (info, webcam, etc)</h1>
			<h2 style="text-align:left;">Show Site Info 						
				<select class="button2" id="showSiteInfo" name="showSiteInfo" onChange="$('#siteInfoDiv').toggle();updateMap();">
					<option value="true" <?php if($showSiteInfo=="true") echo 'selected'; ?>>True</option>
					<option value="false"<?php if($showSiteInfo=="false") echo 'selected'; ?>>False</option>
				</select>
			</h2>
			<div id="siteInfoDiv" style="border:1px">
			<table style="width:98%;margin:0 auto">
					<tr>
						<td style="text-align:left;width:300px">
							General Description 
						</td>
						<td style="text-align:left">
							<textarea style="text-align:left" rows="5" cols="70" class="button2" id="siteInfoDesc" name="siteInfoDesc" size="70" onChange='refreshSiteInfo();' onKeyup='refreshSiteInfo();'><?php echo $siteInfoDesc?></textarea> 
						</td>
						<td class="dialog">
							<div class="dialog" id="siteInfoDescResult"></div>
						</td>
					</tr>	
					<tr>
						<td style="text-align:left;width:300px">
							Weather Station Info
						</td>
						<td style="text-align:left">
							<textarea style="text-align:left" rows="5" cols="70" class="button2" id="siteInfoStation" name="siteInfoStation" size="70" onChange='refreshSiteInfo();' onKeyup='refreshSiteInfo();'><?php echo $siteInfoStation?></textarea>
						</td>
						<td class="dialog">
							<div class="dialog" id="siteInfoStationResult"></div>
						</td>
					</tr>	
					<tr>
						<td style="text-align:left;width:300px">
							Google Maps Zoom
						</td>
						<td style="text-align:left">
							<input class="button2" value="<?php echo $siteInfoZoom?>" id="siteInfoZoom" name="siteInfoZoom" size="3" onChange='updateZoom();' onKeyup='updateZoom();'>
						</td>
						<td>
							<div class="mapPanel" id="map"></div>
						</td>
					</tr>						
			</table>
			</div>
			<hr>
			<h2 style="text-align:left;">Show Current Conditions 						
				<select class="button2" id="showConditions" name="showConditions" onChange="$('#conditionsDiv').toggle();">
					<option value="true" <?php if($showConditions=="true") echo 'selected'; ?>>True</option>
					<option value="false"<?php if($showConditions=="false") echo 'selected'; ?>>False</option>
				</select>
			</h2>
			<div id="conditionsDiv" style="border:1px">
			<table style="width:98%;margin:0 auto">
					<tr>
						<td style="text-align:left;width:300px">
							Header
						</td>
						<td style="text-align:left">
							<input class="button2" value="<?php echo $conditionsHeader?>" name="conditionsHeader" size="50">
						</td>
					</tr>	
					<tr>
						<td style="text-align:left;width:300px">
							Update Interval
						</td>
						<td style="text-align:left">
							<input class="button2" value="<?php echo $conditionsInterval?>" name="conditionsInterval" size="6"> Set the update interval in seconds. When selecting this take into account how often your text file/database is updated.
						</td>
					</tr>					
				</table>
				</div>
				<hr>
				<h2 style="text-align:left;">Show Live Stream						
				<select class="button2" id="showLivestream" name="showLivestream" onChange="$('#livestreamDiv').toggle();">
					<option value="true" <?php if($showLivestream=="true") echo 'selected'; ?>>True</option>
					<option value="false"<?php if($showLivestream=="false") echo 'selected'; ?>>False</option>
				</select>
			</h2>
			<div id="livestreamDiv" style="border:1px">	
				<table style="width:98%;margin:0 auto">				
						<td style="text-align:left;width:300px">
							Live Stream Header
						</td>
						<td style="text-align:left">
							<input class="button2" value="<?php echo $livestreamHeader?>" name="livestreamHeader" size="50">
						</td>
					</tr>
					<tr>
						<td style="text-align:left;width:300px">
							Live stream URL
						</td>
						<td style="text-align:left">
							<input class="button2" value="<?php echo $livestreamURL?>" id="livestreamURL" name="livestreamURL" size="50"> 
							<span id="testLiveStream" class="button2 fa fa-youtube-play" onclick="openCameraLive();"> Test   </span>							
							<br>Url to the image of your Youtube Live Stream. Leave blank if you don't have a Live Stream.
						</td>
					</tr>					
				</table>
				</div>
				<hr>
				<h2 style="text-align:left;">Show Webcam 						
				<select class="button2" id="showWebcam" name="showWebcam" onChange="$('#webcamDiv').toggle();">
					<option value="true" <?php if($showWebcam=="true") echo 'selected'; ?>>True</option>
					<option value="false"<?php if($showWebcam=="false") echo 'selected'; ?>>False</option>
				</select>
			</h2>
			<div id="webcamDiv" style="border:1px">	
				<table style="width:98%;margin:0 auto">				
						<td style="text-align:left;width:300px">
							Webcam Header
						</td>
						<td style="text-align:left">
							<input class="button2" value="<?php echo $webcamHeader?>" name="webcamHeader" size="50">
						</td>
					</tr>
					<tr>
						<td style="text-align:left;width:300px">
							Webcam URL
						</td>
						<td style="text-align:left">
							<input class="button2" value="<?php echo $webcamURL?>" name="webcamURL" size="50"> Url to the image of your webcam. Leave blank if you don't have a webcam.
						</td>
					</tr>
					<tr>
						<td style="text-align:left;width:300px">
							Webcam update interval
						</td>
						<td style="text-align:left">
							<input class="button2" value="<?php echo $webcamUpdate?>" name="webcamUpdate" size="6"> seconds - Update interval of your webcam. 
						</td>
					</tr>
				</table>
				</div>
				<hr>
				</div>	
				<div id="panelBlocks">
				<div style="text-align:left;">
				<h1>Blocks</h1>
				<table><tr><td> <span class="button2" onclick="addBlock();">&nbsp;&nbsp;&nbsp;&nbsp;Add a block&nbsp;&nbsp;&nbsp;&nbsp;</span></td>
				<td>&nbsp;&nbsp;Define blocks that will be accessed from the left menu (try to limit number to 5 max)</td>		
				</tr></table>
				<br>				
				</div>	
			
					<input type="hidden" id="blockNum" name="blockNum" value="0"/>					
					<div id="blocksPanel">
					</div>	
			</div>	
			<div id="panelNotifications">
				<h1>Notifications</h1>
				<?php if ($triggersAvailable) { ?>
				<table><tr><td> <span class="button2" onclick="addNewNoti();">&nbsp;&nbsp;&nbsp;&nbsp;Add a notification&nbsp;&nbsp;&nbsp;&nbsp;</span></td>
				<td>&nbsp;&nbsp;Define notifications that will appear in the notification bar of the user's device</td>		
				</tr></table><br>
				<input type="hidden" id="notiNum" name="notiNum" value="0"/>	
				<div style="width:100%;margin:0 auto;text-align:left">				
					<div id="notiPanel">
					</div>	
				</div>
				<?php } else {?>
				Triggers plugin must be installed to configure notifications. <br>
				Download the Triggers plugin from <a href="https://www.elspinars.es/dev/dev.php">https://www.elspinars.es/dev/dev.php</a> <br>
			
				<?php } ?>
			</div>			
				<div style="width:50%;text-align:center;margin:0 auto">
					<input type="submit" value="Save" class="button2">
				</div>
			</form>
		</div>
		<?php include($baseURL."footer.php");?>
				<script>
				oldMenu = 'menuAll';
				function selectMenu(newMenu) {
					newMenu = 'menu'+newMenu;
					if (newMenu!=oldMenu){
						$('#'+oldMenu).removeClass("active");
						$('#'+newMenu).addClass("active");						
						if (newMenu=='menuAll'){
							$('#panelGeneral').show();
							$('#panelBlocks').show();
							$('#panelNotifications').show();
						}
						else{
							if (newMenu!='menuGeneral'){
								$('#panelGeneral').hide();
							}
							else {
								$('#panelGeneral').show();
							}
							if (newMenu!='menuBlocks'){
								$('#panelBlocks').hide();
							}
							else {
								$('#panelBlocks').show();
							}
							if (newMenu!='menuNotifications'){
								$('#panelNotifications').hide();
							}
							else {
								$('#panelNotifications').show();
							}
						}						
						oldMenu=newMenu;						
					}										
				}
				
	function openCameraLive(){
			dialogHeight = screen.height;
			dialogWidth = screen.width;
			livestreamurl = $('#livestreamURL').val();
			var $dialog = $('<div style="text-align:center;display:flex;overflow:hidden"></div>')
				.html('<iframe style="border: 0px; " src="'+livestreamurl+'&autoplay=1" allow="autoplay; encrypted-media" allowfullscreen="" width="100%" height="100%"></iframe>')
				.dialog({					
					autoOpen: false,
					draggable: false,
					resizable: false,
					//modal: true,
					height: dialogHeight,
					width: dialogWidth,
				open: function (event, ui) {
				//	$(".ui-dialog-titlebar-close", ui.dialog | ui).remove(); 
				//	$(".ui-dialog-titlebar", ui.dialog | ui).remove();
				}					
				});
			$dialog.dialog('open');
		}
		$(document).ready(function() {
		  refreshSiteInfo();
		  initMap();
		  if ($('#showSiteInfo').val()=='false') $('#siteInfoDiv').hide();
		  if ($('#showConditions').val()=='false') $('#conditionsDiv').hide();
		  if ($('#showWebcam').val()=='false') $('#webcamDiv').hide();
		  loadBlocks();
		  loadNotis();

      })
		</script>
	</body>
</html>